libvisio::VSDGeometryListElement Class Referenceabstract

`#include <VSDGeometryList.h>`

Inheritance diagram for libvisio::VSDGeometryListElement:

## Public Member Functions

| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDGeometryListElement * | clone ()=0
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Protected Attributes

unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDGeometryListElement()

libvisio::VSDGeometryListElement::VSDGeometryListElement | ( | unsigned | id,
|  | unsigned | level )

inline

Referenced by clone(), libvisio::VSDArcTo::VSDArcTo(), libvisio::VSDEllipse::VSDEllipse(), libvisio::VSDEllipticalArcTo::VSDEllipticalArcTo(), libvisio::VSDEmpty::VSDEmpty(), libvisio::VSDGeometry::VSDGeometry(), libvisio::VSDInfiniteLine::VSDInfiniteLine(), libvisio::VSDLineTo::VSDLineTo(), libvisio::VSDMoveTo::VSDMoveTo(), libvisio::VSDNURBSTo1::VSDNURBSTo1(), libvisio::VSDNURBSTo2::VSDNURBSTo2(), libvisio::VSDNURBSTo3::VSDNURBSTo3(), libvisio::VSDPolylineTo1::VSDPolylineTo1(), libvisio::VSDPolylineTo2::VSDPolylineTo2(), libvisio::VSDPolylineTo3::VSDPolylineTo3(), libvisio::VSDRelCubBezTo::VSDRelCubBezTo(), libvisio::VSDRelEllipticalArcTo::VSDRelEllipticalArcTo(), libvisio::VSDRelLineTo::VSDRelLineTo(), libvisio::VSDRelMoveTo::VSDRelMoveTo(), libvisio::VSDRelQuadBezTo::VSDRelQuadBezTo(), libvisio::VSDSplineKnot::VSDSplineKnot(), and libvisio::VSDSplineStart::VSDSplineStart().

## ~VSDGeometryListElement()

virtual libvisio::VSDGeometryListElement::~VSDGeometryListElement | ( |  | ) |

inline virtual

## Member Function Documentation

## clone()

virtual VSDGeometryListElement * libvisio::VSDGeometryListElement::clone | ( |  | ) |

pure virtual

Implemented in libvisio::VSDArcTo, libvisio::VSDEllipse, libvisio::VSDEllipticalArcTo, libvisio::VSDEmpty, libvisio::VSDGeometry, libvisio::VSDInfiniteLine, libvisio::VSDLineTo, libvisio::VSDMoveTo, libvisio::VSDNURBSTo1, libvisio::VSDNURBSTo2, libvisio::VSDNURBSTo3, libvisio::VSDPolylineTo1, libvisio::VSDPolylineTo2, libvisio::VSDPolylineTo3, libvisio::VSDRelCubBezTo, libvisio::VSDRelEllipticalArcTo, libvisio::VSDRelLineTo, libvisio::VSDRelMoveTo, libvisio::VSDRelQuadBezTo, libvisio::VSDSplineKnot, and libvisio::VSDSplineStart.

## getDataID()

virtual unsigned libvisio::VSDGeometryListElement::getDataID | ( |  | ) | const

inline virtual

Reimplemented in libvisio::VSDNURBSTo2, and libvisio::VSDPolylineTo2.

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), and libvisio::VSDContentCollector::collectPolylineTo().

## handle()

virtual void libvisio::VSDGeometryListElement::handle | ( | VSDCollector * | collector | ) | const

pure virtual

Implemented in libvisio::VSDArcTo, libvisio::VSDEllipse, libvisio::VSDEllipticalArcTo, libvisio::VSDEmpty, libvisio::VSDGeometry, libvisio::VSDInfiniteLine, libvisio::VSDLineTo, libvisio::VSDMoveTo, libvisio::VSDNURBSTo1, libvisio::VSDNURBSTo2, libvisio::VSDNURBSTo3, libvisio::VSDPolylineTo1, libvisio::VSDPolylineTo2, libvisio::VSDPolylineTo3, libvisio::VSDRelCubBezTo, libvisio::VSDRelEllipticalArcTo, libvisio::VSDRelLineTo, libvisio::VSDRelMoveTo, libvisio::VSDRelQuadBezTo, libvisio::VSDSplineKnot, and libvisio::VSDSplineStart.

## setLevel()

void libvisio::VSDGeometryListElement::setLevel | ( | unsigned | level | ) |

inline

## Member Data Documentation

## m_id

unsigned libvisio::VSDGeometryListElement::m_id

protected

Referenced by libvisio::VSDArcTo::clone(), libvisio::VSDEllipse::clone(), libvisio::VSDEllipticalArcTo::clone(), libvisio::VSDEmpty::clone(), libvisio::VSDGeometry::clone(), libvisio::VSDInfiniteLine::clone(), libvisio::VSDLineTo::clone(), libvisio::VSDMoveTo::clone(), libvisio::VSDNURBSTo1::clone(), libvisio::VSDNURBSTo2::clone(), libvisio::VSDNURBSTo3::clone(), libvisio::VSDPolylineTo1::clone(), libvisio::VSDPolylineTo2::clone(), libvisio::VSDPolylineTo3::clone(), libvisio::VSDRelCubBezTo::clone(), libvisio::VSDRelEllipticalArcTo::clone(), libvisio::VSDRelLineTo::clone(), libvisio::VSDRelMoveTo::clone(), libvisio::VSDRelQuadBezTo::clone(), libvisio::VSDSplineKnot::clone(), libvisio::VSDSplineStart::clone(), libvisio::VSDArcTo::handle(), libvisio::VSDEllipse::handle(), libvisio::VSDEllipticalArcTo::handle(), libvisio::VSDGeometry::handle(), libvisio::VSDInfiniteLine::handle(), libvisio::VSDLineTo::handle(), libvisio::VSDMoveTo::handle(), libvisio::VSDNURBSTo1::handle(), libvisio::VSDNURBSTo2::handle(), libvisio::VSDNURBSTo3::handle(), libvisio::VSDPolylineTo1::handle(), libvisio::VSDPolylineTo2::handle(), libvisio::VSDPolylineTo3::handle(), libvisio::VSDRelCubBezTo::handle(), libvisio::VSDRelEllipticalArcTo::handle(), libvisio::VSDRelLineTo::handle(), libvisio::VSDRelMoveTo::handle(), libvisio::VSDRelQuadBezTo::handle(), libvisio::VSDSplineKnot::handle(), libvisio::VSDSplineStart::handle(), and VSDGeometryListElement().

## m_level

unsigned libvisio::VSDGeometryListElement::m_level

protected

Referenced by libvisio::VSDArcTo::clone(), libvisio::VSDEllipse::clone(), libvisio::VSDEllipticalArcTo::clone(), libvisio::VSDEmpty::clone(), libvisio::VSDGeometry::clone(), libvisio::VSDInfiniteLine::clone(), libvisio::VSDLineTo::clone(), libvisio::VSDMoveTo::clone(), libvisio::VSDNURBSTo1::clone(), libvisio::VSDNURBSTo2::clone(), libvisio::VSDNURBSTo3::clone(), libvisio::VSDPolylineTo1::clone(), libvisio::VSDPolylineTo2::clone(), libvisio::VSDPolylineTo3::clone(), libvisio::VSDRelCubBezTo::clone(), libvisio::VSDRelEllipticalArcTo::clone(), libvisio::VSDRelLineTo::clone(), libvisio::VSDRelMoveTo::clone(), libvisio::VSDRelQuadBezTo::clone(), libvisio::VSDSplineKnot::clone(), libvisio::VSDSplineStart::clone(), libvisio::VSDArcTo::handle(), libvisio::VSDEllipse::handle(), libvisio::VSDEllipticalArcTo::handle(), libvisio::VSDGeometry::handle(), libvisio::VSDInfiniteLine::handle(), libvisio::VSDLineTo::handle(), libvisio::VSDMoveTo::handle(), libvisio::VSDNURBSTo1::handle(), libvisio::VSDNURBSTo2::handle(), libvisio::VSDNURBSTo3::handle(), libvisio::VSDPolylineTo1::handle(), libvisio::VSDPolylineTo2::handle(), libvisio::VSDPolylineTo3::handle(), libvisio::VSDRelCubBezTo::handle(), libvisio::VSDRelEllipticalArcTo::handle(), libvisio::VSDRelLineTo::handle(), libvisio::VSDRelMoveTo::handle(), libvisio::VSDRelQuadBezTo::handle(), libvisio::VSDSplineKnot::handle(), libvisio::VSDSplineStart::handle(), setLevel(), and VSDGeometryListElement().

The documentation for this class was generated from the following file:

- VSDGeometryList.h